Community
cancel
Showing results for 
Search instead for 
Did you mean: 
arindam_nsit
Beginner
116 Views

Intel(R) C++ Compiler Version 11.1.056 Installer Issues with JRE.

Hello,

I installed CPP Compiler 11.1.056 successfully on my Ubuntu-9.04 box, but in-spite of having JDK 1.5 and JRE 1.6 installed on Ubuntu, the Installer failed to detect presence of the JRE and reported the warning about missing optional pre-requisite (No compatible JRE Found).
Is it a bug in the installer ?
How does the installer detect the presence of a valid JRE ?
Can someone let me know what exactly the installer checks in the system to detect a valid JRE ? Code or Script snippets would be better.
Also, what all configuration do I need to do with the JRE so that the installer can detect it ? My BASH profile contains the path to the JAVA and JAVAC executables already.
0 Kudos
2 Replies
TimP
Black Belt
116 Views

Yes, the current installer has a bug. It seems to be looking for a specific sub-version of Sun JRE (not the same one for each version of the compiler, and not the current one). You must accept the dependency check failure and complete installation. If idb doesn't work, due to a problem with your java installation, while idbc is working, it still should be possible to correct the java installation without repeating the icc installation.
arindam_nsit
Beginner
116 Views

Quoting - tim18
Yes, the current installer has a bug. It seems to be looking for a specific sub-version of Sun JRE (not the same one for each version of the compiler, and not the current one). You must accept the dependency check failure and complete installation. If idb doesn't work, due to a problem with your java installation, while idbc is working, it still should be possible to correct the java installation without repeating the icc installation.

Thanks, that answers my query.
I will post in this thread, if I encounter any issue while developing code in either idb or idbc, anything related to the Java based GUI.
Reply